NANO dev kit unable to connect via port 20034

Topics for the Eclipse Environment
Post Reply
russ58
Posts: 8
Joined: Mon Mar 25, 2019 12:07 pm

NANO dev kit unable to connect via port 20034

Post by russ58 » Thu Mar 25, 2021 8:04 am

urlStr: http://192.168.1.130:20034/appupdate.htm
2021/03/25 10:39:58 Post http://192.168.1.130:20034/appupdate.htm: dial tcp 192.168.1.130:20034: connectex: No connection could be made because the target machine actively refused it.
make: *** [../makefile.targets:20: load-nbimage] Error 1

I can connect to the native app (ie: just an IP address) no problem, but I can place a new load into the build.

Can I assume that the NANO dev kit does NOT support any sort of AppUpdate.HTM functionality?

User avatar
TomNB
Posts: 463
Joined: Tue May 10, 2016 8:22 am

Re: NANO dev kit unable to connect via port 20034

Post by TomNB » Thu Mar 25, 2021 10:06 am

Hi Russ,

Depends on what tools you are running, 3.x or 2.x, what is the full version number?

All 5441x based platforms support 2.x and 3.x: MOD54415, MOD54417, NANO54415, SB800EX. 3.x provides the appupdate post you are attempting, so that assumption is not correct.

Since the nano was produced before the 3.x tools, by default it in 2.x compatibility mode. If using 3.x, did you upgrade the module per the migration instructions: https://www.netburner.com/NBDocs/Develo ... uides.html ?

There are a few important points with 5441x platforms and 3.x:
- All units shipped are compatible with 2.x applications for compatibility with existing customer usage
- The ability to access the config server on port 20034 is part of the running application
- The factory application pre-programmed into the device is both 2.x and 3.x compatible. So a 3.x app can be programmed into a brand new device out of the package
- If you overwrite the factory app with your own 2.x app, to program a 3.x app you will need to load the 2.x update application in \nburn\platform\NANO54415\original using autoupdate.exe
- If you program an application that is crashing the nano and recover to the alternate monitor using the jumper recovery method, you will need to load the update application again as described above, then load your 3.x application.
- As of April 2, 2021, the alternate monitor has been updated to process 2.x and 3.x applications, so you will be able to update directly from the jumper recovery procedure.

Based on your post, it sounds like you are running a 2.x app that does not have support for a 3.x update. Please let me know if you have any additional questions.

User avatar
pbreed
Posts: 1043
Joined: Thu Apr 24, 2008 3:58 pm

Re: NANO dev kit unable to connect via port 20034

Post by pbreed » Thu Mar 25, 2021 11:08 am

We have a tool that will put the updated monitor in the nano so the alternate boot monitor will accept 3.X updates.
Please submit a support ticket to get that...

russ58
Posts: 8
Joined: Mon Mar 25, 2019 12:07 pm

Re: NANO dev kit unable to connect via port 20034

Post by russ58 » Tue Mar 30, 2021 8:21 am

I have fallen back to 2.x, that works.

Post Reply